org.apache.tools.ant.taskdefs.compilers

## Class JavacExternal

- java.lang.Object
- - org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
  - - org.apache.tools.ant.taskdefs.compilers.JavacExternal

All Implemented Interfaces:
  CompilerAdapter, CompilerAdapterExtension

    public class JavacExternal
    extends DefaultCompilerAdapter

Performs a compile using javac externally.

Since:
  Ant 1.4

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

### Constructor Summary

Constructors
Constructor and Description
`JavacExternal()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `execute()` Performs a compile using the Javac externally.

### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavacExternal

    public JavacExternal()

### Method Detail

#### execute

    public boolean execute()
                    throws BuildException

Performs a compile using the Javac externally.

Returns:
  true if the compilation succeeded
Throws:
  `BuildException` - on error